Bug 1479453 - [v2v] operation always fail eventually, even in cases VM import was successful.
Summary: [v2v] operation always fail eventually, even in cases VM import was successful.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.2
Assignee: Shmuel Melamud
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev:v2v
Depends On: 1469492
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-08 15:00 UTC by Satoe Imaishi
Modified: 2017-10-24 00:36 UTC (History)
10 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1469492
Environment:
Last Closed: 2017-10-24 00:36:38 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq-content pull 149 None None None 2017-08-08 15:00:29 UTC
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-09 12:43:24 UTC
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/8984f281d368d1d7766add67a0538edb5f94e66a

commit 8984f281d368d1d7766add67a0538edb5f94e66a
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Jul 28 13:42:53 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 9 08:35:51 2017 -0400

    Merge pull request #149 from smelamud/vm-import-wait-for-vm
    
    v2v: Handle IMPORTEXPORT_STARTING_IMPORT_VM event
    (cherry picked from commit 2e4892ca43df34433677e91ba27282315b37e2e1)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479454
    https://bugzilla.redhat.com/show_bug.cgi?id=1479453

 .../VmImport.class/__methods__/wait_for_vm_import.rb         |  2 +-
 .../Event/EmsEvent/RHEVM.class/importexport_import_vm.yaml   |  2 +-
 .../EmsEvent/RHEVM.class/importexport_import_vm_failed.yaml  |  2 ++
 .../RHEVM.class/importexport_starting_import_vm.yaml         | 12 ++++++++++++
 4 files changed, 16 insertions(+), 2 deletions(-)
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/RHEVM.class/importexport_starting_import_vm.yaml

Comment 3 Ilanit Stein 2017-08-28 08:11:34 UTC
Verified on CFME-5.8.2.0.20170824192913_b09a5f8/RHV-4.1.6-0.1.el7

RHEL VM successful import rom VMWare to RHV, was reported as Finished, with Status OK, in the Automate->Requests page.

Comment 5 errata-xmlrpc 2017-10-24 00:36:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.